[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [equinox-dev] osgi bundle source required for equinox aspects in a runtime workspace

Andrew,

Equinox Aspects contains a framework extension fragment (org.eclipse.equinox.weaving.hook).
This is a fragment bundle which has to be co-located with the system bundle (org.eclipse.osgi) which is a requirement from Equinox (seehttp://wiki.eclipse.org/index.php/Adaptor_Hooks) .


Heiko

Am 24.10.2008 um 07:19 schrieb Andrew Eisenberg:

Hi,

The osgi bundle source is required for developing an application that
uses equinox aspects.  What is the reason for this?  And is there any
way around this requirement?
	
The reason why I ask is that I upgraded to using org.eclipse.osgi head
and equinox aspects stopped weaving, but when I reverted back to the
3.4 maintenance branch seems to be working fine again.

Would be nice if I didn't have to maintain a copy of this plugin
myself, but could use the binary copy of my eclipse installation.


--a

ps- apologies if this was sent twice.  I think I originally sent to
the wrong mailing list.
_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/equinox-dev